
Infrastructure - Task #4187

Bug # 4178 (Closed): SSLException during metacat replicate cause hung replication requests

Confirm GMN handles SSL exceptions from source nodes appropriately

2013-11-25 21:59 - Chris Jones

Status: Closed Start date: 2013-11-25

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

If GMN gets an SSL exception during calls to SourceMN.getReplica(), ensure that it also calls CN.setReplicationStatus(FAILED).

History

#1 - 2013-12-17 01:55 - Roger Dahl

GMN calls setReplicationStatus() with a message indicating what went wrong. It tries to cover any error condition including errors returned from the

source when calling getReplica().

#2 - 2013-12-17 01:55 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
